/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.DeliveryToCustomer;

import java.util.Vector;
import java.util.Date;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class DeliveryToCustomer {
    public void logDeliveryToCustomer() {
    }

    public void addDetail() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public Vector assessTimelinessOfThisDelivery() {
        return new Vector();
    }

    public Vector mi_assessDeviationFromShipments() {
        return new Vector();
    }

    public Vector mi_calcProblemReportOpenToCloseDurations() {
        return new Vector();
    }

    public int mi_calcAvgProblemReportOpenToCloseDuration() {
        return 0;
    }

    public Vector mi_compareWithInvoices() {
        return new Vector();
    }

    public static Vector listDeliveries() {
        return new Vector();
    }

    public static Vector assessTimelinessOfDeliveries() {
        return new Vector();
    }

    private Date dateTime;

    /**
     *@shapeType AggregationLink
     *  @supplierCardinality 1..*
     *  @clientCardinality 1
     */
    private DeliveryDetail lnkUnnamed;
    private String signator;

    /** @supplierCardinality 1 */
    private ILogDeliveryToCustomer lnkUnnamed2;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private DeliveryProblemReport lnkUnnamed3;
}


